/**
 * ActClassObservationSeries2.java
 *
 * File generated from the medication2::ActClassObservationSeries2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ActClassObservationSeries2.
 *
 * 
 */

@XmlType(name = "ActClassObservationSeries")
@XmlEnum
@XmlRootElement(name = "ActClassObservationSeries2")
public enum ActClassObservationSeries2 {
	@XmlEnumValue("OBSSER")
	OBSSER("OBSSER"),
	@XmlEnumValue("OBSCOR")
	OBSCOR("OBSCOR");
	
	private final String value;

    ActClassObservationSeries2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static ActClassObservationSeries2 fromValue(String v) {
        for (ActClassObservationSeries2 c: ActClassObservationSeries2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
